### File

`packages/components/eui-tree/eui-tree.model.ts`

### Index

###### Methods
getParents getSelectionRecursiveState getTreeItem select

### Constructor

`constructor(compInstance: any)`
Parameters :
Name | Type | Optional
compInstance | `any` | No

### Methods

getParents
`getParents(path: string)`
Parameters :
Name | Type | Optional
path | `string` | No
Returns : `Array<string>`

getSelectionRecursiveState
`getSelectionRecursiveState(path: string)`
Parameters :
Name | Type | Optional
path | `string` | No
Returns : `TreeItemSelectionRecursiveModel`

getTreeItem
`getTreeItem(path: string)`
Parameters :
Name | Type | Optional
path | `string` | No
Returns : `TreeItemModel`

select
`select(path: string, isChecked: boolean)`
Parameters :
Name | Type | Optional
path | `string` | No
isChecked | `boolean` | No
Returns : `void`

# results matching ""

# No results matching ""